Package com.zaxxer.hikari.metrics

## Class PoolStats

- java.lang.Object
- - com.zaxxer.hikari.metrics.PoolStats

    public abstract class PoolStats
    extends java.lang.Object

Author:
  Brett Wooldridge

### Constructor Summary

Constructors
`PoolStats​(long timeoutMs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getActiveConnections()`
`int` `getIdleConnections()`
`int` `getMaxConnections()`
`int` `getMinConnections()`
`int` `getPendingThreads()`
`int` `getTotalConnections()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PoolStats

    public PoolStats​(long timeoutMs)

### Method Detail

#### getTotalConnections

    public int getTotalConnections()

#### getIdleConnections

    public int getIdleConnections()

#### getActiveConnections

    public int getActiveConnections()

#### getPendingThreads

    public int getPendingThreads()

#### getMaxConnections

    public int getMaxConnections()

#### getMinConnections

    public int getMinConnections()